[Buildroot] [PATCH 1/1] dbus-python: select pyexpat dependency

Peter Korsgaard jacmet at uclibc.org
Sat Nov 30 08:06:45 UTC 2013


>>>>> "Ivan" == Ivan Sergeev <vsergeev at kumunetworks.com> writes:

 > dbus-python requires xml.parsers.expat, which is provided by the pyexpat
 > module. This patch enables the pyexpat module as a dependency when dbus-python
 > is selected.

 > Signed-off-by: Ivan Sergeev <vsergeev at kumunetworks.com>
 > ---
 >  package/dbus-python/Config.in | 2 ++
 >  1 file changed, 2 insertions(+)

 > diff --git a/package/dbus-python/Config.in b/package/dbus-python/Config.in
 > index f7b6d94..88a6128 100644
 > --- a/package/dbus-python/Config.in
 > +++ b/package/dbus-python/Config.in
 > @@ -5,6 +5,8 @@ config BR2_PACKAGE_DBUS_PYTHON
 >  	depends on BR2_PACKAGE_DBUS
 >  	depends on BR2_PACKAGE_PYTHON
 >  	select BR2_PACKAGE_DBUS_GLIB
 > +    # pyexpat: runtime dependency only
 > +	select BR2_PACKAGE_PYTHON_PYEXPAT

Committed with the indentation (tabs vs spaces) fixed, thanks.

-- 
Bye, Peter Korsgaard


More information about the buildroot mailing list